Bug 147150 - "Point and Lines" Net Chart Type has identical looks with "Lines Only" (Colibre)
Summary: "Point and Lines" Net Chart Type has identical looks with "Lines Only" (Colibre)
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
7.4.0.0 alpha0+
Hardware: All All
: medium normal
Assignee: Rizal Muttaqin
URL:
Whiteboard: target:7.4.0 target:7.2.7
Keywords:
Depends on:
Blocks: Icon-Theme-Colibre
  Show dependency treegraph
 
Reported: 2022-02-02 23:35 UTC by Rizal Muttaqin
Modified: 2022-05-18 08:40 UTC (History)
0 users

See Also:
Crash report or crash signature:
Regression By:


Attachments
See the appearance between two images in the red rectangular (28.54 KB, image/png)
2022-02-02 23:43 UTC, Rizal Muttaqin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rizal Muttaqin 2022-02-02 23:35:26 UTC

    
Comment 1 Rizal Muttaqin 2022-02-02 23:36:25 UTC
Using Colibre theme, the image for
Comment 2 Rizal Muttaqin 2022-02-02 23:42:07 UTC
(Sorry for empty and unfinished previous comment)

Using Colibre icon theme, image for "Point and Lines" Net Chart Type has identical looks with "Lines Only". This is happens between stack series and non stack series.

Step to reproduce:

1. Use Colibre icon theme, open Writer
2. Insert a chart (from menubar Insert > Chart..)
3. In the Chart Type of Properties deck in the sidebar, change the chart to net
4. See the second and the third image from left. The are the same. This is similar with Stack series.

Version: 7.2.5.2 / LibreOffice Community
Build ID: 20(Build:2)
CPU threads: 4; OS: Linux 5.13; UI render: default; VCL: kf5 (cairo+xcb)
Locale: id-ID (id_ID.UTF-8); UI: en-US
Ubuntu package version: 1:7.2.5~rc2-0ubuntu0.20.04.1~lo1
Calc: threaded
Comment 3 Rizal Muttaqin 2022-02-02 23:43:39 UTC
Created attachment 178002 [details]
See the appearance between two images in the red rectangular
Comment 4 Commit Notification 2022-02-03 03:18:45 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/34733d6eaeb1316354bcb8689ffe2b57b4efbf16

Colibre: Fix for tdf#147150 (same net type chart)

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Rizal Muttaqin 2022-02-18 23:33:47 UTC
Fixed in 
Version: 7.4.0.0.alpha0+ / LibreOffice Community
Build ID: cb56edb177f4db5b9cc4d140543c4b11d41ef1b0
CPU threads: 8; OS: Linux 5.13; UI render: default; VCL: kf5 (cairo+xcb)
Locale: id-ID (id_ID.UTF-8); UI: en-US
Calc: threaded
Comment 6 Commit Notification 2022-02-23 02:03:22 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "libreoffice-7-2":

https://git.libreoffice.org/core/commit/96b6a90b6a778f01937b68dd17cdb622744acec3

Colibre: tdf#147603, tdf#147150

It will be available in 7.2.7.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 sasuke2690 2022-05-18 08:40:59 UTC Comment hidden (spam)